Subject: Re: [Fecframe] WG Last Call - Framework

From: "Orly Peck" <[email-masked]>
Date: Wed, 20 Jan 2010 09:28:38 +0200

Hi,
Following are my comments for draft-ietf-fecframe-framework-05:

1) On page 11, last sentence: "a repair packet carried over RTP starts with an RTP header of its own which is immediately followed by parity data..." - what about a FEC header that follows the RTP header?

2) on page 14 - "a CDP specification MUST define how a receiver determines the length of time it should wait to receive FEC repair packets for any given source blocks". 
Sometimes only the receiver knows how much time it can wait for a FEC repair packet due to latency considerations or any other consideration the receiving application may take into account. IMHO the sender can define a MINIMUM time that the sender should wait for the repair packet.

3) typo - on page 22 section 6.2 - "For each sApplication Data Units..." - remove "s".

4) same paragraph -  I think that the FEC scheme should (optionally) receive the information of the index of the ADU in the source block (this is important for FEC codes where order is significant).

5) page 23 - IMHO it should be mentioned that using the Explicit Source FEC Payload ID is not backward compatible with non-FEC support receivers, and therefore is a disadvantage. I think it should be recommended that if there is a way to avoid using the Explicit Source FEC Payload ID appended to the end of the source packet, then it should be avoided.

6) typo - page 24, section 6.3.1, second paragraph - "construction source packets within a gioven source block...." - gioven=given.

7) typo - same paragraph - "values in the sequence nmber space..." nmber=number.

8) page 25, section 6.5, third paragraph - "...provides FEC protection for all packets of the specified set of Source Data Flows..." - I am not sure I understand this sentence. Sometimes not all packets of a source flow are protected (e.g. using mask). 

Thanks,
Orly Peck.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Orly Peck
Sent: Thursday, January 14, 2010 12:31 PM
To: Magnus Westerlund; [email-masked]
Subject: Re: [Fecframe] WG Last Call - Framework

Hi, 
I will review the document early next week.
Thanks,
Orly Peck.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Magnus Westerlund
Sent: Thursday, January 14, 2010 12:15 PM
To: [email-masked]
Subject: Re: [Fecframe] WG Last Call - Framework

WG,

This is one of your core documents. I have seen ONE (1) single comment
that someone has read the document. I do expect to see a bit more
reviews on this before I can consider there be consensus for publication
in the WG.

Magnus Westerlund

Greg Shepherd skrev 2009-12-04 16:49:
> Yes, we called LC on this earlier but I received feedback that there
> just wasn't enough time...
> 
> So, let's keep the WG LC open with a comment due date pushed out to
> Jan 8th to allow for the Holidays. I'll send weekly reminders to keep
> everyone on task. Please read and respond so we can ship and shut. ;-)
> 
> Thanks!,
> Greg
> _______________________________________________
> Fecframe mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/fecframe
> 

-- 

Magnus Westerlund

IETF Transport Area Director
----------------------------------------------------------------------
Multimedia Technologies, Ericsson Research EAB/TVM
----------------------------------------------------------------------
Ericsson AB                | Phone  +46 10 7148287
Färögatan 6                | Mobile +46 73 0949079
SE-164 80 Stockholm, Sweden| mailto: [email-masked]
----------------------------------------------------------------------
_______________________________________________
Fecframe mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/fecframe

_______________________________________________
Fecframe mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/fecframe